package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="Saksi_T")
public class Saksi extends BaseTransaction{
	
	@ManyToOne
	@JoinColumn(name = "ObjectKecelakaanKerjaFk")
	@NotNull(message="KecelakaanKerja tidak boleh kosong")
	@Caption(value="Kecelakaan Kerja")
	private KecelakaanKerja kecelakaanKerja;
	
	@Column(name = "ObjectKecelakaanKerjaFk", insertable=false,updatable=false,nullable=false)
	private String kecelakaanKerjaId;
	
	@Column(name="namaSaksi", nullable = false)
	@Caption(value="Nama Saksi")
	private String namaSaksi;
	
	@Column(name="pekerjaan", nullable = true)
	@Caption(value="Pekerjaan")
	private String Pekerjaan;
	
	@Column(name="noTelp", nullable = true,length=20)
	@Caption(value="Nomor Telepon")
	private String noTelp;
	
	public String getNamaSaksi() {
		return namaSaksi;
	}

	public void setNamaSaksi(String namaSaksi) {
		this.namaSaksi = namaSaksi;
	}

	public KecelakaanKerja getKecelakaanKerja() {
		return kecelakaanKerja;
	}

	public void setKecelakaanKerja(KecelakaanKerja kecelakaanKerja) {
		this.kecelakaanKerja = kecelakaanKerja;
	}

	public String getKecelakaanKerjaId() {
		return kecelakaanKerjaId;
	}

	public void setKecelakaanKerjaId(String kecelakaanKerjaId) {
		this.kecelakaanKerjaId = kecelakaanKerjaId;
	}

	public String getPekerjaan() {
		return Pekerjaan;
	}

	public void setPekerjaan(String pekerjaan) {
		Pekerjaan = pekerjaan;
	}

	public String getNoTelp() {
		return noTelp;
	}

	public void setNoTelp(String noTelp) {
		this.noTelp = noTelp;
	}
}
